import { Database } from '../database';
import { SeederCollection } from '../common';
import { CollectionInsertManyOptions } from 'mongodb';
/**
 * Allows to import collections into database.
 */
export declare class CollectionImporter {
    db: Database;
    collectionInsertManyOptions?: CollectionInsertManyOptions | undefined;
    /**
     * Constructs new `CollectionImporter` instance.
     *
     * @param db Database object
     * @param collectionInsertManyOptions Optional MongoDB Collection InsertMany Options
     */
    constructor(db: Database, collectionInsertManyOptions?: CollectionInsertManyOptions | undefined);
    /**
     * Imports multiple collections into database.
     *
     * @param collections Array of collections
     */
    import(collections: SeederCollection[]): Promise<void>;
    /**
     * Imports single collection into database.
     *
     * @param collection Collection definition
     */
    private importCollection;
}
